How Do I Upgrade NI Volume License Manager (VLM) 3.x?

Updated Sep 12, 2019

Reported In

Software

  • Volume License Manager

Issue Details

  • I need to update the version of NI VLM 3.X on our server due to compatibility issues with NI License Manager 4.4. How do I do this?
  • How do I update NI VLM 3.X to a newer version?

Solution

If you are upgrading from NI Volume License Manager 3.x to a later version and also moving to a new server, refer to the steps in Migrating NI Volume License Manager (VLM) to a New Server

Otherwise please follow the below steps: 

  1. Although it may not be needed we recommend you make a backup of your server's settings before performing the update. See Creating an NI VLM Backup for instructions.
  2. Download and install the latest version of NI VLM (see Related Links for download page). You do not need to stop the server, or uninstall the older version of NI VLM first. The installation of the later version of NI VLM will overwrite the current version installed.
  3. Start NI VLM and ensure the server is running. 
Upgrading NI VLM should have automatically caused your configuration and license file to be integrated with your new version of NI VLM. However, if there was an issue finding these files during upgrading, you will see the Getting Started Wizard at Step 3. If prompted for your license file you can use your existing license file. You do not need a new license file. If prompted for Import Settings select Import settings from a previous NI VLM 3.x installation, and select the Backup we made in step 1.

Additional Information

Any users/computers that have previously checked out a non-concurrent network license will still have access to software during the upgrade through the automatic 14 day back up license that will be issued when the server is inaccessible. Any users/computers using concurrent licenses will temporarily loose access to licenses.

If you are upgrading from VLM 2.X you will need to follow a slightly different process outlined in Upgrading NI Volume License Manager (VLM) Version 2.x to 3.x.